<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;

class DBDemo extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
//    protected $signature = 'app:d-b-demo';
    protected $signature = 'app:db-demo';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create Demo Database';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $this->info('Fresh Migrate DB');
        Artisan::call('migrate:fresh');
        $this->info('Migrate Complete, Start Seeding');
        Artisan::call('db:seed', [
            '--force' => true
        ]);
        $this->info('Complete');
    }
}
